Skip to main content

Get a specific release by catalog_id across CDN-connected devices

GET 

/api/cdn/device/releases/:catalog_id

Returns one entry per CDN-connected device that has the given catalog_id.

Request

Path Parameters

    catalog_id stringrequired

    Catalog ID of the release (e.g. "5.GetAppAgent-UI_linux_rpm@0.3.14").

Query Parameters

    device_id string[]

    Repeated device ID filter: ?device_id=id1&device_id=id2. Omit for all devices.

Responses

The specific release per device. Empty array if no device has this catalog_id — not 404.

Schema

  • Array [

  • data

    object

    required

    DTO for device release status including delivery, deploy, and installation information

    artsDirPath stringnullable

    Artifacts folder path

    deliveryState object

    deviceReleaseStatus

    object

    nullable

    Status enum that can be either a delivery status or a deployment status

    oneOf

    string

    downloadDuration int32nullable

    Download duration in seconds (for delivery state)

    errMsg stringnullable

    Error message if any error occurred

    eta int64nullable

    Estimated time remaining in seconds

    progress floatnullable

    Progress percentage (0-100)

    release

    object

    required

    createdAt date-timerequired
    dependencies undefined[]nullable
    displayName stringnullable

    Human-readable display name of the project

    id stringrequired
    label stringnullable

    Label associated with the project

    latest booleannullable
    metadata objectnullable
    policies undefined[]nullable

    Policies associated with this release

    projectId int32required
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-timenullable
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
    state DeviceReleaseStaterequired

    Possible values: [delivery, downloaded, deleted, deploy, installed, uninstalled]

    Represents the state of a release on the device Only covers delivery state and beyond — Offering/Push are not exposed on this endpoint

    deviceId stringrequired

    Device identifier — matches the deviceId in CDN discovery.

    isMaster booleanrequired

    true when this entry represents the local CDN master agent itself.

  • ]

Loading...